%define _disable_ld_no_undefined 1

%define	rel		4
%define	git		0

%define	major	0
%define	libname	%mklibname %{name} %major
%define	libname_devel %mklibname -d %{name}

%if %{git}
%define srcname %{name}-%{git}.tar.xz
%define distname %{name}-%{git}
%define release %mkrel %{rel}.%{git}
%else
%define srcname %{name}-%{version}.tar.bz2
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

%define subrel 1

Name:		compiz
Version:	0.9.10.0
Release:	%{release}
Summary:	OpenGL composite manager for Xgl and AIGLX
Group:		System/X11
URL:		https://launchpad.net/compiz
License:	GPLv2+ and LGPLv2+ and MIT

# get source from launchpad
# bzr branch lp:compiz
# pushd compiz
# bzr export --format=tar ../compiz-bzrcommit_id.tar
# popd
# xz -z -e compiz-bzrcommit_id.tar

Source0:	compiz-%{version}.tar.bz2
Source1:	compiz.defaults
Source3:	%{name}-fusion
Source4:	%{name}-fusion.defaults

# Mageia Patches
Patch0:		compiz-0.9.8.0-compizconfig-libdir.patch

# Mandriva Patches
# git format-patch --start-number 500 mdv-0.8.0-cherry-picks..mdv-0.8.0-patches
#Patch501:	0501-Add-Mageia-graphic-to-the-top-of-the-cube.patch
Patch503:	0503-Do-not-put-window-decorations-on-KDE-screensaver.patch

# Upstream Patches
# Upstream Patches
Patch504:	compiz-0.9.10.0-ubu-fix_maximized_windows.patch

BuildRequires:		cmake
BuildRequires:		intltool

BuildRequires:		pkgconfig(gconf-2.0)
BuildRequires:		pkgconfig(libwnck-1.0)
BuildRequires:		pkgconfig(glibmm-2.4)
BuildRequires:		boost-devel
BuildRequires:		kdebase4-workspace-devel

BuildRequires:		pkgconfig(gnome-keybindings)
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		pkgconfig(librsvg-2.0)
BuildRequires:		pkgconfig(gnome-desktop-2.0)
BuildRequires:		pkgconfig(libmetacity-private)

#BR for compizconfig
BuildRequires:		pkgconfig(protobuf)
BuildRequires:		pkgconfig(libxml-2.0)

#BR for plugins
BuildRequires:		pkgconfig(dbus-1)
BuildRequires:		gettext-devel
BuildRequires:		pkgconfig(glu)
BuildRequires:		jpeg-devel
BuildRequires:		pkgconfig(pango)
BuildRequires:		pkgconfig(libnotify)
BuildRequires:		pkgconfig(gl)
BuildRequires:		pkgconfig(gtk+-2.0)

# BR for python binding
BuildRequires:		python-pyrex
BuildRequires:		python-cython
BuildRequires:		pkgconfig(python)

#BR for CCSM
BuildRequires:		desktop-file-utils

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

Requires(post):		GConf2
Requires(preun):		GConf2

Requires:			%{libname} = %{version}-%{release}
Requires:			compositing-wm-common
Requires:			compiz-decorator = %{version}-%{release}

Suggests:			ccsm

Provides:			compositing-wm

# Compiz-bcop is now provided by compiz so rename it (since 0.9)
%rename				compiz-bcop

# Compiz-fusion has been merged (since mga2)
Obsoletes:			compiz-fusion
Provides:			compiz-fusion

# Plugins main and extra are now merged with core (since 0.9.8)
%rename		compiz-plugins-main
%rename		compiz-plugins-extra

# Compizconfig has been merged with core and lib (since 0.9.8)
Obsoletes:	libcompizconfig-common

%description
Compiz is an OpenGL compositing manager, which means that it enhances
the overall user interaction by adding fancy effects to your windows,
from drop shadows to desktop effects like the Desktop Cube or the Expo view.

Compiz can also be a window manager, which means that it is the software
between you and your desktop apps. It enables you to move or resize windows,
to switch workspaces, to switch windows easily (using alt-tab or so), and so on.


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING COPYING.GPL COPYING.LGPL COPYING.MIT INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-window-decorator
%{_bindir}/%{name}-decorator
%{_bindir}/%{name}-fusion

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_libdir}/compizconfig/backends/*
%{_libdir}/libcompizconfig_gsettings_backend.so

# this files go in another package, the same for schema
%exclude %{_libdir}/%{name}/libannotate.so
%exclude %{_libdir}/%{name}/libgnomecompat.so
%exclude %{_libdir}/%{name}/libkde.so

%{_sysconfdir}/gconf/schemas/%{name}-*.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-annotate.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-gnomecompat.schemas
%exclude %{_sysconfdir}/gconf/schemas/%{name}-kde.schemas

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/splash/*
%{_datadir}/%{name}/notification/*
%{_datadir}/%{name}/showmouse/*
%{_datadir}/%{name}/mag/*

%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.xml
%exclude %{_datadir}/%{name}/annotate.xml
%exclude %{_datadir}/%{name}/gnomecompat.xml
%exclude %{_datadir}/%{name}/kde.xml

%{_datadir}/compositing-wm/%{name}.defaults
%{_datadir}/compositing-wm/%{name}-fusion.defaults
%dir %{_datadir}/%{name}/cubeaddon
%dir %{_datadir}/%{name}/cubeaddon/images
%{_datadir}/%{name}/cubeaddon/images/*.png
%dir %{_datadir}/%{name}/cube
%dir %{_datadir}/%{name}/cube/images
%{_datadir}/%{name}/cube/images/*.png
%{_datadir}/applications/%{name}.desktop


%preun
%preun_uninstall_gconf_schemas compiz-addhelper compiz-animation compiz-bench compiz-ccp compiz-clone compiz-commands compiz-compiztoolbox compiz-composite compiz-copytex compiz-core compiz-crashhandler compiz-cube compiz-dbus compiz-decor compiz-expo compiz-extrawm compiz-ezoom compiz-fade compiz-fadedesktop compiz-firepaint compiz-grid compiz-imgjpeg compiz-imgpng compiz-imgsvg compiz-inotify compiz-kdecompat compiz-mag compiz-maximumize compiz-mblur compiz-mousepoll compiz-move compiz-neg compiz-notification compiz-obs compiz-opacify compiz-opengl compiz-place compiz-put compiz-regex compiz-resize compiz-resizeinfo compiz-ring compiz-rotate compiz-scale compiz-scaleaddon compiz-scalefilter compiz-screenshot compiz-session compiz-shelf compiz-shift compiz-showdesktop compiz-showmouse compiz-showrepaint compiz-snap compiz-splash compiz-staticswitcher compiz-switcher compiz-td compiz-text compiz-titleinfo compiz-trailfocus compiz-vpswitch compiz-wall compiz-water compiz-widget compiz-winrules compiz-wobbly compiz-workarounds compiz-workspacenames

#----------------------------------------------------------------------------

%package decorator-gtk
Summary:	GTK window decorator for compiz
Group:		System/X11

Provides:	compiz-decorator = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires(pre):	GConf2

%description decorator-gtk
This package provides a GTK window decorator for the compiz OpenGL
compositing manager.

%files decorator-gtk
%{_bindir}/gtk-window-decorator
%{_sysconfdir}/gconf/schemas/gwd.schemas
%{_sysconfdir}/gconf/schemas/%{name}-annotate.schemas
%{_sysconfdir}/gconf/schemas/%{name}-gnomecompat.schemas
%{_libdir}/%{name}/libannotate.so
%{_libdir}/%{name}/libgnomecompat.so
%{_datadir}/%{name}/annotate.xml
%{_datadir}/%{name}/gnomecompat.xml

%preun decorator-gtk
%preun_uninstall_gconf_schemas gwd %{name}-annotate %{name}-gnomecompat

#----------------------------------------------------------------------------

%package decorator-kde4
Summary:	KDE4 window decorator for compiz
Group:		System/X11

Provides:	compiz-decorator = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description decorator-kde4
This package provides a KDE4 window decorator for the compiz OpenGL
compositing manager.

%files decorator-kde4
%{_bindir}/kde4-window-decorator
%{_libdir}/%{name}/libkde.so
%{_datadir}/%{name}/kde.xml
%{_sysconfdir}/gconf/schemas/%{name}-kde.schemas



#----------------------------------------------------------------------------
%package ccsm
Summary:	Compiz Config Settings Manager
Group:		System/X11

Requires(preun): GConf2
Requires:	compizconfig-python
Requires:	pygtk2.0
Requires:	compiz
Suggests:	python-sexy

BuildArch:	noarch

%rename ccsm

%description ccsm
Configuration tool for Compiz when used with the ccp configuration plugin (default).

%files ccsm -f ccsm.lang
%{_bindir}/ccsm
%dir %{_datadir}/ccsm
%dir %{_datadir}/ccsm/images
%{_datadir}/ccsm/images/*.png
%{_datadir}/ccsm/icons
%dir %{py_puresitedir}/ccm
%{py_puresitedir}/ccm/*.py*
%{_datadir}/icons/hicolor/*/apps/ccsm.png
%{_datadir}/icons/hicolor/*/apps/ccsm.svg
%{_datadir}/applications/ccsm.desktop
%{py_puresitedir}/ccsm-*.egg-info


#----------------------------------------------------------------------------

%package -n %libname
Summary:	Shared libraries for compiz
Group:		System/X11

Obsoletes:	%{_lib}compizconfig0

%description -n %libname
This package provides shared libraries for compiz.

%files -n %libname
%{_libdir}/libdecoration.so.%{major}*
%{_libdir}/lib*_core.so.%{major}*
%{_libdir}/lib*config.so.%{major}*
%{_libdir}/lib*_core.so.ABI*


#----------------------------------------------------------------------------
%package -n %mklibname compizconfig-python
Summary:	Python Binding for Compiz
Group:		System/X11

Provides:	compizconfig-python = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %mklibname compizconfig-python
Python Bindings for Compiz Settings

%files -n %mklibname compizconfig-python
%{py_platsitedir}/%{name}config.so
%{py_puresitedir}/compizconfig_python*.egg-info


#----------------------------------------------------------------------------

%package -n %libname_devel
Summary:	Development files for compiz
Group:		Development/X11

Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%{name}-plugins-main-devel
Obsoletes:	%{name}-plugins-extra-devel
Obsoletes:	%{_lib}compizconfig-devel


Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}	= %{version}-%{release}
Requires:	png-devel
Requires:	libxcomposite-devel
Requires:	libxdamage-devel
Requires:	libxfixes-devel
Requires:	libxrandr-devel
Requires:	libxinerama-devel
Requires:	libice-devel
Requires:	libsm-devel
Requires:	startup-notification-devel
Requires:	GL-devel
Requires:	libxslt-devel
Requires:	libxslt-proc
Requires:	glib2-devel
Conflicts:  %{libname} < 0.9.10.0-4.1

%description -n %libname_devel
This package provides development files for compiz.

%files -n %libname_devel
%{_includedir}/%{name}/*
%{_libdir}/libdecoration.so
%{_libdir}/lib*_core.so*
%{_libdir}/lib*config.so*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/*.cmake
%{_datadir}/%{name}/cmake
%{_datadir}/%{name}/xslt/*.xslt
%{_includedir}/%{name}config/*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%apply_patches


%build
%cmake	-DCOMPIZ_PACKAGING_ENABLED=ON \
		-DCOMPIZ_BUILD_WITH_RPATH=OFF \
		-DCOMPIZ_DISABLE_SCHEMAS_INSTALL=ON \
		-DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON \
		-DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas \
		-DBUILD_SHARED_LIBS:BOOL=OFF

%make


%install
pushd build
%makeinstall_std DESTDIR=%{buildroot}

# Borrowed from fedora
# This should work, but is buggy upstream:
# make DESTDIR=$RPM_BUILD_ROOT findcompiz_install
# So we do this instead:
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
%__cmake -E copy ../cmake/FindCompiz.cmake %{buildroot}%{_datadir}/cmake/Modules
%__cmake -E copy ../compizconfig/libcompizconfig/cmake/FindCompizConfig.cmake %{buildroot}%{_datadir}/cmake/Modules
%__cmake -E copy ../cmake/FindOpenGLES2.cmake %{buildroot}%{_datadir}/cmake/Modules
popd

%__install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/compositing-wm/%{name}.defaults
%__install -m755 %{SOURCE3} %{buildroot}%{_bindir}/%{name}-fusion
%__install -m644 %{SOURCE4} %{buildroot}%{_datadir}/compositing-wm/%{name}-fusion.defaults

find %{buildroot} -name *.la -exec rm {} \;

# We already installed them in good location
%__rm -rf %{buildroot}%{_datadir}/cmake-2.8

# Compiz now provides a script to choose decorator, so we dropped our own
# make a link to not break existing setup which rely on former script.
ln -s %{_bindir}/%{name}-decorator %{buildroot}/%{_bindir}/%{name}-window-decorator


%find_lang %{name}
%find_lang ccsm

desktop-file-install \
  --vendor="" \
  --remove-category="Compiz" \
  --add-category="GTK" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/ccsm.desktop


#----------------------------------------------------------------------------


%changelog
* Mon Jul 07 2014 tarakbumba <tarakbumba> 0.9.10.0-4.1.mga4
+ Revision: 650497
- Add patch from upstream to fix clicking on maximized window buttons (mga#12810)
- Clean specfile a bit from deprecated macros.
- Move development .so files to devel subpackage (fixes mga#13689)

* Wed Jan 01 2014 pterjan <pterjan> 0.9.10.0-4.mga4
+ Revision: 563838
- Rebuild for new protobuf

* Tue Oct 22 2013 umeabot <umeabot> 0.9.10.0-3.mga4
+ Revision: 544896
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.10.0-2.mga4
+ Revision: 500474
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 18 2013 julien <julien> 0.9.10.0-1.mga4
+ Revision: 481311
- new version 0.9.10
- rediff patch0

* Tue Jul 09 2013 fwang <fwang> 0.9.9.0-5.mga4
+ Revision: 451717
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 0.9.9.0-4.mga4
+ Revision: 435561
- rebuild for new libpng

* Sat Apr 13 2013 julien <julien> 0.9.9.0-3.mga3
+ Revision: 409875
- add upstream patch to fix build with boost 1.53, thanks to Barry Jackson for digging this

* Tue Mar 26 2013 julien <julien> 0.9.9.0-2.mga3
+ Revision: 405323
- add default path to compositor wrapper MGA#9453

* Thu Jan 24 2013 julien <julien> 0.9.9.0-1.mga3
+ Revision: 392188
- update to v0.9.9.0
- drop patch 601,602,603
- rediff patch0

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8.6-3.mga3
+ Revision: 348101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 julien <julien> 0.9.8.6-2.mga3
+ Revision: 332873
- add patch603 to fix initialization of plugins (MGA#7720)

* Sun Nov 25 2012 julien <julien> 0.9.8.6-1.mga3
+ Revision: 321742
- add upstream patch601 to fix build with new kde
- new version 0.9.8.6

* Sun Nov 18 2012 julien <julien> 0.9.8.4-2.mga3
+ Revision: 319458
- add upstream patch to fix MGA#5626 (black background icon in titlebar)

* Sun Sep 30 2012 julien <julien> 0.9.8.4-1.mga3
+ Revision: 300846
- new version 0.9.8.4

* Thu Sep 13 2012 julien <julien> 0.9.8.2-1.mga3
+ Revision: 293713
- update to 0.9.8.2
- drop merged upstream patches
- reenabling Werror
- disabling the directive BUILD_SHARED_LIBS as it cause strange build failure

* Sun Sep 02 2012 julien <julien> 0.9.8.0-4.mga3
+ Revision: 287381
- fix crash when loading svg plugin (upstream patch)

* Sat Sep 01 2012 julien <julien> 0.9.8.0-3.mga3
+ Revision: 286969
- really obsolete libcompizconfig-devel

* Fri Aug 31 2012 julien <julien> 0.9.8.0-2.mga3
+ Revision: 286773
- reenable kde support (upstream patch, bug lp#1041310)
- add obsoletes for devel package
- correct list of gconf schemas

  + fwang <fwang>
    - update url

* Fri Aug 31 2012 fwang <fwang> 0.9.8.0-1.mga3
+ Revision: 285951
- update file list
- more patch
- fix libdir installation
- disable werror
- rebuild for new boost

  + julien <julien>
    - drop compiz-plugin-main|extra, merged in compiz
    - drop compizconfig-common, merged in compiz
    - drop libcompizconfig, merged in libcompiz
    - rename ccsm to compiz-ccsm
    - drop our own script to choose decorator in favor of upstream one
    - drop PATCH502 Use-our-compiz-window-decorator-script-as-the-default
    - new version 0.9.8.0
    - disable kde support for the time being as it doesn't build

* Wed May 30 2012 fwang <fwang> 0.9.7.8-2.mga3
+ Revision: 249687
- rebuild for new boost

* Thu Apr 26 2012 julien <julien> 0.9.7.8-1.mga2
+ Revision: 233365
- new version 0.9.7.8

* Fri Apr 13 2012 julien <julien> 0.9.7.6-2.mga2
+ Revision: 230724
- add sane default pref for compiz-fusion (not very pretty hack)
  	should fix #5190: decoration not applied when compiz-fusion
  	is started with a fresh profile

* Fri Apr 06 2012 julien <julien> 0.9.7.6-1.mga2
+ Revision: 229375
- new version 0.9.7.6

* Sun Apr 01 2012 julien <julien> 0.9.7.4-1.mga2
+ Revision: 227682
- update to new version 0.9.7.4

* Fri Mar 23 2012 julien <julien> 0.9.7.2-1.mga2
+ Revision: 225824
- update to 0.9.7.2

* Sat Mar 03 2012 julien <julien> 0.9.7.0-1.mga2
+ Revision: 217397
- update to final 0.9.7.0

* Thu Feb 23 2012 julien <julien> 0.9.7-0.bzr3017.mga2
+ Revision: 212684
- update to latest bzr
- clean BR
- replace description with a more meaningful one

* Sun Feb 05 2012 julien <julien> 0.9.7-0.bzr2979.mga2
+ Revision: 204813
- update to prerelease 0.9.7
- switch to launchpad as source
- drop upstreamed patches

* Sun Jan 22 2012 julien <julien> 0.9.5.92.1-5.git.20111101.mga2
+ Revision: 199860
- fix build of KDE decorator with new gcc

* Wed Nov 30 2011 julien <julien> 0.9.5.92.1-4.git.20111101.mga2
+ Revision: 174584
- add a provides on compiz-fusion
- update to latest git (hopefully, less bugs...)

* Sun Nov 27 2011 julien <julien> 0.9.5.92.1-3.mga2
+ Revision: 172893
- merge compiz-fusion
- add suggests to ccsm and plugins
- drop kstylerc.xinit, very old file used with kde3

* Mon Nov 07 2011 mikala <mikala> 0.9.5.92.1-2.mga2
+ Revision: 164613
- Add compiz as requires on -devel (some plugins available in compiz packages are needed to build others plugins)
- remove defattr()

* Sun Nov 06 2011 julien <julien> 0.9.5.92.1-1.mga2
+ Revision: 164364
- limit compilation to 2 jobs to be safe
- clean some warnings
- new version 0.9.5.92.1
- rediff patch 0503 0502 0501
- add patch from fedora for keybinding

* Wed Sep 14 2011 fwang <fwang> 0.8.8-2.mga2
+ Revision: 143178
- drop .la files

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Sat Jun 25 2011 julien <julien> 0.8.8-1.mga2
+ Revision: 113657
- update to 0.8.8
 - clean up specfile
 - remove old Obsolete
 - drop patchs merged upstream
 - move static libs to devel package
 - add condition to ease backport

  + dmorgan <dmorgan>
    - Fix file list
    - Rebuild against latest gnome
    - fix up the GNOME session stuff so it actually works ( from fedora )
    - New version 0.9.4
    - New version 0.9.4
      Remove merged patches
    - Fix build arches
    - Fix file list

  + mikala <mikala>
    - Update patch0501 to use mageia-top.png & not mandriva-top.png

* Mon Feb 28 2011 eandry <eandry> 0.8.6-3.mga1
+ Revision: 61777
- drop old conditionnal
- drop buildroot

  + colin <colin>
    - imported package compiz


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 0.8.6-2mdv2011.0
+ Revision: 606044
- update BR
- add upstream patch to build with latest gtk

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sun May 02 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 541653
- New version: 0.8.6
- Drop upstream cherry-picks

* Sat Mar 13 2010 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-4mdv2010.1
+ Revision: 518613
- Tidyup: Remove old KDE3 decorator support + Always build KDE4 support
- Apply upstream fixes for various bugs.

* Mon Feb 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8.4-3mdv2010.1
+ Revision: 509559
- Enable back kde4-decorator as it builds again

* Thu Dec 10 2009 Pascal Terjan <pterjan@mandriva.org> 0.8.4-2mdv2010.1
+ Revision: 475948
- Disable kde4 decorator (not building, and kde4 effects may be enough)

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457724
- New version: 0.8.4

* Wed Sep 09 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.3-0.20090909.1mdv2010.0
+ Revision: 434858
- Update to latest snapshot to fix KDE decorator issue
- Drop patch506 (glxDestroyPixmap fix) as fixed differently upstream

* Thu Jun 18 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-3mdv2010.0
+ Revision: 387205
- Apparently we now need libgtop2.0-devel
- Use the official %%apply_patches macro
- Use glXDestroyPixmap rather than glXDestroyGLXPixmap (fdo#20704)

* Sun Apr 12 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.2-2mdv2009.1
+ Revision: 366476
- Require libcanberra-devel to build
- Enable some plugins by default. mdv#47900

* Sun Mar 15 2009 Emmanuel Andry <eandry@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 355346
- don't remove non existing files
- add fedora patch to fix missing gtk decoration (#47900)

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 0.8.2
    - Remove patch506 (merged upstream)

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20080208.1mdv2009.1
+ Revision: 338497
- More KDE3 build require fixes (libdbus-qt-1-devel would be pulled in by kdebase4)
- Disable KDE3 as it doesn't build on cluster and wont be needed for 2009.1 anyway
- 0.8 pre-release snapshot

* Thu Nov 20 2008 Olivier Blin <oblin@mandriva.com> 0.7.8-4mdv2009.1
+ Revision: 305291
- keep kdebase4 devel buildrequires
- fix build with latest plasma, Plasma::PanelSvg has been renamed Plasma::FrameSvg and plasma has been moved to kdelibs
- fix source number
- replace kstylerc.xinit perl script with a shell script
- move kstylerc hack in compiz-decorator-kde

* Mon Nov 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-3mdv2009.1
+ Revision: 301898
- Fix qt3/kde3 build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new libxcb

* Thu Oct 02 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-2mdv2009.0
+ Revision: 290930
- Apply upstream cherry picks to fix various mem-leaks and possitioning bugs
- Apply upstream patch to prevent the loss of certain windows (namely firefox)
- Rearrange spec file to manage patches via git

* Thu Sep 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 285758
- New version: 0.7.8
- Drop revert of patch since upstream have (eventually) come to the same conclusion
- Drop decoration-command patch as fixed differently upstream

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284289
- New snapshot

* Thu Sep 04 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.7-0.20080713.3mdv2009.0
+ Revision: 280862
- Compiz fail to detect proper kde4 session to decorator as been started way before kde defines running a full session
  except when runing from console.
  Modify script to fallback on test desktop session too avoiding mistakes

* Wed Sep 03 2008 Frederic Crozat <fcrozat@mandriva.com> 0.7.7-0.20080713.2mdv2009.0
+ Revision: 279678
- Patch9: fix .desktop file for GNOME when using gnome-session >= 2.23.91

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234394
- Add build require on libglade2-devel
- Add build require on gnome-panel-devel
- Add build require on libgnome-menu-devel
- Update to latest snapshot
- Fix kde3 decorator (lib dir order problem)
- Some more macro tweaks for backporting (KDE3 releated)
- Some macro tweaks for backporting (KDE3 releated)
- Do not require kde3-macros on 2008.1
- Update to 0.7.6
- Make kde4 support conditional for backports
- Temporartily disable kde3 on cooker as it wont build

* Sat May 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.2mdv2009.0
+ Revision: 211025
- No longer define _disable_ld_no_undefined due to updated rpm-manbo-setup

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210181
- Add BuildRequire for KDE4 decorator
- Update to git snapshot
- Enable KDE4 decorator build
- Adapt our compiz-window-decorator script to automatically load the kde4 decorator if appropriate.

* Thu May 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.4-3mdv2009.0
+ Revision: 204607
- Restore functionality to kde 3 new path

* Mon Apr 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-2mdv2009.0
+ Revision: 196329
- Revert an upstream commit that interferes with decorator starting (will discuss with upstream)

* Sun Apr 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192651
- Fix a bug where rotation didn't complete properly (upstream)
- New version 0.7.4
- Drop patch for CVE-2007-3920 as this is fixed in Xserver now

* Fri Mar 14 2008 Anssi Hannula <anssi@mandriva.org> 0.7.2-3mdv2008.1
+ Revision: 187752
- re-enable autoreconf on 2008.0 and later as it fixes invalid rpath on
  lib64 systems, resulting in non-accelerated compiz with proprietary
  drivers
- buildrequire intltool for autoreconf
- run intltoolize after autoreconf to fix build

* Mon Mar 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-2mdv2008.1
+ Revision: 183402
- Restore the TFP in server extensions patch as compiz manager is not working too well for us.

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181119
- New version 0.7.2

* Sat Mar 01 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-4mdv2008.1
+ Revision: 177014
- Remove the patch for checking server extensions for t_f_p as this has been rejected upstream.
- Remove old patches that were accidentally committed.

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-3mdv2008.1
+ Revision: 173169
- Fix packaging properly to not require KDE on core package.

* Tue Feb 19 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-2mdv2008.1
+ Revision: 172967
- Split the kconfig plugin into a separate package to prevent unnecessary deps overload.

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 172283
- Cherry pick several patches from master (some needed for Fusion plugins)
- Fix spec typo
-Update config patches for new version.
-Upgrade to new version 0.7.0
- Remove versions from the build requires

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Restore conditional %%git.
      Later on this package patches can be stored in a mandriva branch at
      git.mandriva.com, as it already mirrors compiz upstream.

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.6.2-5mdv2008.1
+ Revision: 154682
- Updated BuildRequires and resubmit package.

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdv2008.1
+ Revision: 141788
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - improved descriptions

* Tue Nov 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-3mdv2008.1
+ Revision: 106354
- Fix for CVE-2007-3920 (screensaver password bypass)

* Wed Oct 24 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-2mdv2008.1
+ Revision: 101678
- Potentially fix #29780 (screensaver locking up) by disabling decorations for windows where name=kdesktop_lock
- Do not update gconf schemas as they are autogenerated

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 100095
- New upstream version (0.6.2)

* Fri Oct 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-10mdv2008.0
+ Revision: 95542
- Make compiz start the window decorator on init again (this wont work with session saving but such is life)

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-9mdv2008.0
+ Revision: 95091
- Make the decorator command patch better

* Wed Oct 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-8mdv2008.0
+ Revision: 95025
- Fix #29769 by using compiz to start the decorator
- Fix a compiz bug that prevented decorator from being run if option value was not changed (e.g. on startup)

* Fri Sep 28 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-7mdv2008.0
+ Revision: 93465
- Automatically change config to load compiz-fusion when upgrading from beryl

* Tue Sep 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-6mdv2008.0
+ Revision: 92758
- Fixes kde-window-decorators and maximized windows (#32215)
- Use autoreconf on 2007.1 build

* Tue Sep 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-5mdv2008.0
+ Revision: 79532
- Drop minimize-unminimize patch as this appears to be now be solved via other means.
- Reorganise patch order.
- More minor changes to make for smooth backporting
- Run aclocal and friends (mainly for 2007.1)

  + Olivier Blin <oblin@mandriva.com>
    - remove white borders fix, artefact is gone with recent Mesa
    - drop NET_WM_CM patch, it breaks --replace (thanks to ocilent1)
      (better fixed in upstream CM selection support, commits
       d9621f6fced9feda1c154c745be5c502f8a14568 and
       65cac43f1bdc8e999991f9022ab079fb7fa4b11f)

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-3mdv2008.0
+ Revision: 62118
- Add build dep on librsvg-devel for svg plugin.

* Tue Aug 07 2007 Olivier Blin <oblin@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 59999
- do no load gconf plugin by default (#32251)

* Sat Aug 04 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 58860
- Update cube top image patch for 0.5.2
- Remove now default arguments from configure
- Do not run aclocal et al as this now breaks build
- Update to compiz 0.5.2

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070801.1mdv2008.0
+ Revision: 57834
- Updated snapshot

* Wed Jul 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070725.1mdv2008.0
+ Revision: 55249
- Update Snapshot

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-0.20070712.2mdv2008.0
+ Revision: 52621
- add emerald support in compiz-window-decorator

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070712.1mdv2008.0
+ Revision: 52114
- Update snapshot

* Thu Jul 12 2007 Olivier Blin <oblin@mandriva.com> 0.5.1-0.20070707.4mdv2008.0
+ Revision: 51441
- make library package conflict with old compiz since a file has been moved (to ensure smooth upgrades)

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.3mdv2008.0
+ Revision: 49645
- Update default settings to load 'glib gconf'

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.2mdv2008.0
+ Revision: 49594
- Libify compiz and add more Requires to devel package

* Sat Jul 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.1-0.20070707.1mdv2008.0
+ Revision: 49555
- Require xslt packages in -devel package.
- Update Snapshot to 20070707

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 0.5.1-0.20070627.1mdv2008.0
+ Revision: 49499
- fix buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - buildrequires libxslt-devel

  + Colin Guthrie <cguthrie@mandriva.org>
    - Reenable all previous patches after rediffing
    - Update indirect-detection patch
    - Obsolete Beryl
    - Git snapshot from 20070627 to test new Fusion components.


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 0.5.0-1mdv2007.1
+ Revision: 151022
- 0.5.0
- remove useless _COMPIZ_GL_INCLUDE_INFERIORS hack since cow is enabled by default in compiz nowadays
- remove merged restart support and kwd fixes
- enable fuse support

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-10mdv2007.1
+ Revision: 145718
- fix main schema installation (#29638)

* Fri Mar 16 2007 Laurent Montel <lmontel@mandriva.com> 0.3.6-9mdv2007.1
+ Revision: 144898
- Fix mem leak into kde-windows-decoration
  Add diff from 0.3.7 for kde-windows-decoration (fix crash, add shadow support)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.6-8mdv2007.1
+ Revision: 144198
- Remove patch6 (no longer needed according to fedora)
- Fix Buildrequires : metacity decorations are back for gtk decorator

* Tue Mar 13 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-7mdv2007.1
+ Revision: 142163
- move gwd scheme in compiz-decorator-gtk (thanks to fcrozat)

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-6mdv2007.1
+ Revision: 141303
- add png to default plugins (thanks to mikala)

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-5mdv2007.1
+ Revision: 132156
- add compiz-window-decorator wrapper to auto-detect window decorator

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-4mdv2007.1
+ Revision: 132084
- move decorators in compiz-decorator-gtk and compiz-decorator-kde (#29122)

* Fri Mar 02 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-3mdv2007.1
+ Revision: 131577
- buildrequires libdbus-qt-1-devel
- buildrequires kdebase-devel
- buildrequires kdelibs-devel after all
- buildrequires kdecore-devel
- fix qt library path for x86_64 in configure script
- enable kde-window-decorator

* Fri Feb 09 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-2mdv2007.1
+ Revision: 118642
- allow session manager to restart compiz if it crashes (from RH)
- add patch from gandalfn to workaround white boder shadows with AIGLX
- add GConf2 post/preun requires

* Mon Jan 01 2007 Olivier Blin <oblin@mandriva.com> 0.3.6-1mdv2007.1
+ Revision: 103015
- 0.3.6
- revert upstream indirect rendering detection patch, it seems to require LIBGL_ALWAYS_INDIRECT

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-2mdv2007.1
+ Revision: 100538
- activate all plugins by default

* Wed Nov 22 2006 Olivier Blin <oblin@mandriva.com> 0.3.4-1mdv2007.1
+ Revision: 86415
- 0.3.4

* Wed Nov 15 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-4mdv2007.1
+ Revision: 84229
- new release
- use find_lang macro
- add compiz.defaults file

* Tue Nov 14 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-3mdv2007.1
+ Revision: 84205
- make the devel package require GL-devel

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-2mdv2007.1
+ Revision: 83931
- add missing requires in the devel package
- simplify schemas installation
- remove unneeded configure flags
- update URL

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 0.3.2-1mdv2007.1
+ Revision: 83716
- add gwd schemas
- 0.3.2

* Sun Oct 15 2006 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2006.0
+ Revision: 65130
- cosmetics and own some dirs
- 0.2.0
- move common compositing wm scripts/images in compositing-wm-common (configuration file is not backward compatible)
- provide compositing-wm

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.11mdv2007.0
+ Revision: 61400
- fix LD_LIBRARY_PATH in compiz-start (#25439)

* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.10mdv2007.0
+ Revision: 61345
- increase release (thanks to Colin Guthrie for all the help on #25429)
- use KDEWM to run compiz-start in KDE (#25429)
- use WINDOW_MANAGER to run compiz-start in Gnome (#25429)
- pass positionnal parameters from compiz-start to compiz
- move compiz/decorator actual start in compiz-start

* Fri Sep 08 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.9mdv2007.0
+ Revision: 60563
- use _libdir/mesa as LD_LIBRARY_PATH for compiz if Xgl is running

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - + This is a provisory solution to fix a bug.
      - minimize and unminimize quickly one window, the window lost your original position.

* Wed Aug 30 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.7mdv2007.0
+ Revision: 58573
- add some useful patches from  Fedora

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.6mdv2007.0
+ Revision: 58062
- use new top image, and adapt schema to scale image

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.5mdv2007.0
+ Revision: 57988
- really make the sysconfig file a config file
- simplify compiz args handling
- allow to configure another window decorator (#24620)
- remove hardcoded compiz and window-decorator path
- don't start compiz if in failsafe or drak3d session
- disable compiz by default
- start compiz after dbus in xinit

  + vguardiola <vguardiola>
    - New image top of cube
    - Change top image

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.4mdv2007.0
+ Revision: 56904
- compiz-0.0.13-0.20060817.4mdv2007.0
- handle the no3ddesktop cmdline option
- require mesa-demos

* Sat Aug 19 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.3mdv2007.0
+ Revision: 56750
- sleep some seconds to prevent kwin from stealing the display
- auto-start compiz if possible
- compiz-0.0.13-0.20060817.3mdv2007.0
- automatically enable indirectRendering and strictBinding on AIGLX

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com> 0.0.13-0.20060817.2mdv2007.0
+ Revision: 56610
- 0.0.13-0.20060817.2mdv2007.0
- require COMPIZ to be explicitely set to 'yes' in sysconfig file
- use --indirect-rendering --strict-binding by in xinit script when Xgl isn't used
- split long description
- add compiz-mandriva.png.patch and drop compiz-mdv.schemas
- drop duplicated schema, better patch compiz to use mandriva.png as default image
- remove old source

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.0.13-0.20060817.1mdv2007.0
+ Revision: 56560
- Add forgotten sources
-add compiz-mdv.schemas and mandriva.png

* Fri Aug 11 2006 Olivier Blin <oblin@mandriva.com> 0.0.12.98-5mdv2007.0
+ Revision: 55441
- bump release
- really install sysconfig file
- fix the "don't run configure twice" hack
- allow to start compiz in X session (config in /etc/sysconfig/compiz)
- don't run configure twice

  + Christiaan Welvaart <spturtle@mandriva.org>
    - add BuildRequires: libxcomposite-devel libxdamage-devel intltool

  + Thierry Vignaud <tvignaud@mandriva.com>
    - release
    - fix buildrequires for x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Fixed some typos
    - Added the options for AIGLX in the description
    - Adding compiz to the repository
    - Adding patches making it work when using AIGLX

  + Frederic Crozat <fcrozat@mandriva.com>
    - Add registration of gconf schema

